using System.Collections;
using System.Collections.Generic;
using Cinemachine;
using ScriptableObjectArchitecture;
using UnityEngine;

public class PanelViewController : MonoBehaviour
{
    // [SerializeField] private CameraControls _cameraControls = default;
    [SerializeField] private CinemachineVirtualCamera _camera = default;

    [SerializeField] private BoolVariable panelIsFocused = default;

    private void Update()
    {
        if (panelIsFocused != null)
        {
            if (_camera.enabled)
            {
                panelIsFocused.Value = true;
            }
            else
            {
                panelIsFocused.Value = false;
            }
        }
    }
}
